var exportapplet;
var svgdoc;      
      
function initialize()
{
   svgdoc = document.svgImage.getSVGDocument();
   exportapplet = document.applets[1];
   document.applets[0].refreshScreen();
   if(exportapplet != null)
   {
      exportapplet.refreshScreen();
      exportapplet.setRootElementAttribute('viewBox', 'delete');  
      
      //Vacon Logo
   	exportapplet.setDOMManipulation('logo_group#visibility', 'visible');
   	
   	exportapplet.setDataDomManipulation('header_text', 'Jukan testaus;');
   }
}      
      
function drawBar(id, y, height)
{
   var svgobj;
	var svgdoc = document.svgImage.getSVGDocument();
	
	svgobj = svgdoc.getElementById(id);
   svgobj.setAttribute('y', y); 
   svgobj.setAttribute('height', height); 
   
   if(exportapplet != null)
   {
      exportapplet.setDOMManipulation(id + '#y', y.toString());
      exportapplet.setDOMManipulation(id + '#height', height.toString());
   }
}


function setLabels(startcoord)
{ 
   var svgobj;
	var svgdoc = document.svgImage.getSVGDocument();
	var coord;
	var NewCoord;
	
	for(i=0; i<11; i++)
	{
	   coord = startcoord + (i * 20000);   
	   NewCoord = svgdoc.createTextNode(coord);
	   
	   svgobj = svgdoc.getElementById('label' + i).replaceChild(NewCoord, svgdoc.getElementById('label' + i).getFirstChild());
	   if(exportapplet != null)
      {
         exportapplet.setDOMManipulation('label' + i , coord.toString());
      }
   }
}

function setText(id, text)
{
   var legend;
   
   legend = svgdoc.createTextNode(text);
   svgdoc.getElementById(id).replaceChild(legend, svgdoc.getElementById(id).getFirstChild());
   
   if(exportapplet != null)
   {
   	exportapplet.setDOMManipulation(id, text.toString());
   }
}

function setStatus(text)
{
   window.status = text;  
} 

function setSVGFilename (name) 
{  
   var path = new String(document.location.href);
   var index = path.lastIndexOf('/') + 1;
   path = path.substring(0, index);
   
   if(exportapplet != null)
   {
      exportapplet.setSVGFilename(path + name);
   }
}  

function setDataSVGFilename (name) 
{  
   var path = new String(document.location.href);
   var index = path.lastIndexOf('/') + 1;
   path = path.substring(0, index);
  
   if(exportapplet != null)
   {
      exportapplet.setDataSVGFilename(path + name);
   }
}  

function setDataDomManipulation (id, data)
{
   if(exportapplet != null)
   {
      exportapplet.setDataDomManipulation(id, data);
   } 
}