var Xoffset = 100;
var Yoffset = 1300;
var exportapplet;
var svgdoc;
      
function initialize()
{
   svgdoc = document.svgImage.getSVGDocument();
   exportapplet = document.applets[1];
   document.applets[0].refreshScreen();
   if(exportapplet != null)
   {
      exportapplet.refreshScreen();  
   }
}

function drawPoint(id, x, y)
{
   var svgobj;
	
	svgobj = svgdoc.getElementById(id);
   svgobj.setAttribute('cx', x.toString()); 
   svgobj.setAttribute('cy',y.toString()); 

   if(exportapplet != null)
   {
      exportapplet.setDOMManipulation(id + '#cx', x.toString());
      exportapplet.setDOMManipulation(id + '#cy', y.toString());
   }
}


function setPathData(id, data)
{ 
   var svgobj;
	
	svgobj = svgdoc.getElementById(id);
   svgobj.setAttribute('d',data);
   
   if(exportapplet != null)
   {
      exportapplet.setDOMManipulation(id + '#d', data);
   }
}

function setText(id, text)
{
   var legend;
   
   legend = svgdoc.createTextNode(text);
   svgdoc.getElementById(id).replaceChild(legend, svgdoc.getElementById(id).getFirstChild());
   
   if(exportapplet != null)
   {
   	exportapplet.setDOMManipulation(id, text.toString());
   }
}
 
function setStatus(text)
{
   window.status = text;  
} 
 
 
function setSVGFilename (name) 
{  
   var path = new String(document.location.href);
   var index = path.lastIndexOf('/') + 1;
   path = path.substring(0, index);
  
   if(exportapplet != null)
   {
      exportapplet.setSVGFilename(path + name);
   }
}

function setDataSVGFilename (name) 
{  
   var path = new String(document.location.href);
   var index = path.lastIndexOf('/') + 1;
   path = path.substring(0, index);
  
   if(exportapplet != null)
   {
      exportapplet.setDataSVGFilename(path + name);
   }
}  

function setDataDomManipulation (id, data)
{
   if(exportapplet != null)
   {
      exportapplet.setDataDomManipulation(id, data);
   } 
}  